c
C       PROGRAM makehdr.FOR
c
c
c PURPOSE:
C
c  To create a "HEADER" file or, if one already exist, to update it.
c  or to skip enterring station info (if already done)
c
C Author: M. Taylor...modified from Jim Manning's program getdata.for
c
c 4/29/96 POSSIBLE INTEGER FORMAT PROBLEM NOTICED ON EN282...LAT AND LON
C WERE OFF BY A TENTH IN SOME CASES.  THESE ARE NOW DIMENSIONED AS LONG
C INTEGERS TO CORRECT THIS
C
	CHARACTER ans*1,SHIP*2,CR*3
	character bothcs*1,bother*1
	character*80 line(500)
	character*3 ccsn,isns
	INTEGER HD,YR
	INTEGER*4 LAT,LON,KMIN
	HD=1
	WRITE(*,*)'ENTER YEAR AND CRUISE CODE   (XX XX)    '
        write(*,*)'for Albatross CRUISE , ENTER:   99 01  '
	READ(*,2)YR,CR
   2    FORMAT(I2,1X,A2)
	write(*,*)yr,cr
c
c
	write(*,*)' '
	write(*,*)'*********************************************** '
	write(*,*)'The last task "ENDCAST" performs is to write'
	write(*,*)'out station header information to a file called'
	write(*,*)'BRSCALE.HDR.  Please answer the following prompts.'
	write(*,*)'************************************************'
	write(*,*)' '
	write(*,*)' Choose from the options below:'
	write(*,*)' '
	write(*,*)'      1) Create "BRSCALE.HDR" file'
	write(*,*)'      2) Update "BRSCALE.HDR" file'
	write(*,*)'      3) SKIP enterring header info b/c you'
	write(*,*)'         already have or WILL do so later'
	write(*,*)' '
	write(*,*)' **note: If running this for first time enter "1".'
	write(*,*)' '
	read(*,*)nhead
	mhead=1
	bothcs='y'
	bother='y'
	numbio=0
c
C   The following section is skipped for the case of "updating" mode
c
	if(nhead.eq.2)go to 102
	if(nhead .eq. 3)go to 190
c
        open(unit=9,file="C:\sbe911\temp.hdr",status='new')
        open(unit=8,file="C:\sbe911\brscale.hdr",err=10,status='new')
	go to 19
10      write(*,*)' Warning: You already have a "brscale.hdr" file.'
	write(*,*)'          Do you want to overwrite it  y/n ?'
	read(*,13)ans
13      format(a1)
	if(ans.eq.'Y'.or.ans.eq.'y')go to 14
14      open(unit=8,file="brscale.hdr",status='unknown')
c
19      if(mhead.eq.1)go to 1
c
C*************************
C*************************
C
C THE FOLLOWING SECTION IS FOR ENTERING HEADER INFO STATION BY STATION
c
C************
C************
c
1       continue
c
11110   write(*,*)'************************************* '
11111   write(*,*)' Enter consecutive sbe911 cast # (USE 3 DIGITS)'
	write(*,*)' '
	write(*,*)' (Note: enter "999" if you are finished)'
	read(*,10005)Ccsn
10005   format(a3)
	if(Ccsn.EQ.'999')then
	     close(8)
	     if(numbio.eq.0)numbio=99
	     go to 190
	     endif
	write(*,*)'Enter standard sta # if this is one, otherwise'
	write(*,*)'Enter the station #'
	read(*,10005)isns
c
	   write(*,*)'********************************************** '
	   write(*,*)' enter month day hour min (example: 7 27 17 59)'
	   write(*,*)' (USE GMT)'
	   read(*,*)MNTH,IDAY,IHR,MIN
	   kmin=INT4((min/60.0)*10.0)
c          endif
c
	write(*,*)'*********************************************'
	write(*,*)' lat & lon in the form:  DDMM.T (space) DDMM.T'
	write(*,*)' **     example is:   3540.8 7030.1     **'
	read(*,*)tlat,tlon
C        WRITE(*,*)tlat,tlon
	TlatT=tlat*10.0
	TlonN=tlon*10.0
	LAT=INT(TLATT)
	LON=INT(TLONN)
C        write(*,*)TLAT,TLON,Tlat*10,Tlon*10,LAT,LON
	write(*,*)'***********************'
	write(*,*)' enter depth in meters:'
	read(*,*)ibd
 101     continue
C
	icntry=31
	write(*,*)'ship ??  ALBATROSS = A4, ENDEAVOR = EN, '
	write(*,*)'Oceanus = OC'
	READ(*,103)SHIP
 103    FORMAT(A2)
1010    write(*,10111)Ccsn,isns,MNTH,IDAY,IHR,MIN,tlat,tlon,ibd
10111   format(/,'****************************',/,
     &' consecutive station #',t30,A3,
     &/,' standard sta#:     ',t30,a3,
     &/,' mth,day,hr,min:    ',t30,4i3,
     &/,'     latitude:    ',t30,f6.1,
     &/,'     longitude:   ',t30,f6.1,
     &/,'     bottom depth:',t30,i4)
	write(*,*)'************************* '
	write(*,*)'************************* '
	write(*,*)' Is this correct (<Y>/N)?'
	read(*,10112)ans
10112   format(a1)
	if(ans.eq.' ')ans='Y'
	if(ans .eq. 'y')ans='Y'
	if(ans.ne.'Y'.and. ans .ne. 'y')go to 11111
	if (ship .eq. 'A4' .or. ship .eq. 'OC')then
	write(9,10113)ICNTRY,SHIP,LAT,LON,YR,MNTH,IDAY,IHR,KMIN,CR,
     +   CCSN,ibd,ISNS,HD
10113   format(I2,A2,I5,1X,I5,T19,I2,T21,I2,T23,I2,T25,I2,T27,I1,T29,A2,
     +  T31,A3,T34,I4,T70,A3,T80,I1)
	elseif(ship .eq. 'en' .or. ship .eq. 'EN')then 
	write(9,10114)icntry,ship,lat,lon,yr,mnth,iday,ihr,kmin,cr,
     +   ccsn,ibd,isns,hd
10114   format(i2,a2,i5,1x,i5,t19,i2,t21,i2,t23,i2,t25,i2,t27,i1,t28,a3,
     +  t31,a3,t34,i4,t70,a3,t80,i1)
	end if
	go to 1
c
c**********************************************************
c              UPDATE HEADER MODE
C
102     continue
        open(unit=8,file="C:\sbe911\brscale.hdr",status='old')
        open(unit=9,file="C:\sbe911\temp.hdr",status='new')
	ik=0
c
	do 10221 k=1,500
1021    read(8,1022,end=1023)line(k)
1022    format(a80)
	ik=ik+1
10221   continue
 1023   WRITE(*,*)' '
	write(*,*)' The last station in your brscale.hdr file is:'
	write(*,1022)line(ik)
c
	go to 1
c**********************************************************
c
190     close(8)
	close(9)
	write(*,*)'*************************'
	WRITE(*,*)'**** YOU ARE DONE !! ****'
	write(*,*)'*************************'
	stop
	end
